Topic: CentOS Stream 9 + ImageMagick7 + LibRaw updates

Hi all,

It looks like CentOS Stream 9 just updated LibRaw from 0.20 to 0.21 and that is causing an issue with updates in this system.  Here is the error message I seen when trying to run `dnf update`:

Error:
Problem: package ImageMagick7-libs-1:7.1.1.19-1.el9.remi.x86_64 from @System requires libraw_r.so.20()(64bit), but none of the providers can be installed
  - cannot install both LibRaw-0.21.1-1.el9.x86_64 from appstream and LibRaw-0.20.2-6.el9.x86_64 from @System
  - cannot install both LibRaw-0.21.1-1.el9.x86_64 from appstream and LibRaw-0.20.2-4.el9.x86_64 from appstream
  - cannot install both LibRaw-0.21.1-1.el9.x86_64 from appstream and LibRaw-0.20.2-5.el9.x86_64 from appstream
  - cannot install both LibRaw-0.21.1-1.el9.x86_64 from appstream and LibRaw-0.20.2-6.el9.x86_64 from appstream
  - cannot install the best update candidate for package LibRaw-0.20.2-6.el9.x86_64
  - cannot install the best update candidate for package ImageMagick7-libs-1:7.1.1.19-1.el9.remi.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)


For now, I've excluded updates for LibRaw and that allowed the rest of the updates to go through.  What is the recommended fix for this?

Re: CentOS Stream 9 + ImageMagick7 + LibRaw updates

This only happens on CentOS Stream (the bad effects of Stream)

All my packages are build using official RHEL packages
and this update will only be part of a point release (9.3 or 9.4)

Will try to provide a workaround shortly

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: CentOS Stream 9 + ImageMagick7 + LibRaw updates

Workaround available (LibRaw20 compat package)

# dnf update
Updating Subscription Management repositories.
Unable to read consumer identity

This system is not registered with an entitlement server. You can use subscription-manager to register.

Last metadata expiration check: 0:00:09 ago on Tue Oct 10 08:23:48 2023.
Dependencies resolved.
================================================================================================================================
 Package                          Architecture          Version                                  Repository                Size
================================================================================================================================
Upgrading:
 ImageMagick                      x86_64                1:6.9.12.98-1.el9.remi                   remi                      67 k
 ImageMagick-djvu                 x86_64                1:6.9.12.98-1.el9.remi                   remi                      23 k
 ImageMagick-heic                 x86_64                1:6.9.12.98-1.el9.remi                   remi                      26 k
 ImageMagick-libs                 x86_64                1:6.9.12.98-1.el9.remi                   remi                     2.3 M
 ImageMagick7-djvu                x86_64                1:7.1.1.20-1.el9.remi                    remi                      23 k
 ImageMagick7-heic                x86_64                1:7.1.1.20-1.el9.remi                    remi                      26 k
 ImageMagick7-libs                x86_64                1:7.1.1.20-1.el9.remi                    remi                     2.4 M
 LibRaw                           x86_64                0.21.1-1.el9                             appstream                409 k
Installing dependencies:
 LibRaw20                         x86_64                0.20.2-1.el9.remi                        remi                     375 k

Transaction Summary
================================================================================================================================
Install  1 Package
Upgrade  8 Packages

Total download size: 5.7 M
Is this ok [y/N]: 
Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: CentOS Stream 9 + ImageMagick7 + LibRaw updates

Amazing!  Thanks so much for the fix on that.